summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFrediano Ziglio <fziglio@redhat.com>2017-05-15 09:57:38 +0100
committerFrediano Ziglio <fziglio@redhat.com>2017-05-15 09:57:38 +0100
commit6e67937b51f5b52f0433e7d83e5dd14ac7456273 (patch)
tree35622c9154714b7c8194303044cf9ecff3dee308
parent83f3b63568b64b1ad453cd23f15f79a6f5b2b247 (diff)
output some statistics for image compression
-rwxr-xr-xspice-server/stats.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/spice-server/stats.sh b/spice-server/stats.sh
new file mode 100755
index 0000000..e7f8c3f
--- /dev/null
+++ b/spice-server/stats.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+set -e
+
+echo Build...
+make -j3 &> /dev/null
+
+times() {
+ set +e
+ SPICE_DEBUG_LEVEL=3 ./server/tests/spice-server-replay -p 1235 -c 'remote-viewer spice://localhost:1235' -w win7-boot-record2 -C $1 2>&1 | grep display_channel_compress_stats_print | sed 's/.*display_channel_compress_stats_print: //' >> $2
+ set -e
+}
+
+out=times.txt
+if grep '^CFLAGS =' server/Makefile | grep -qe '-ftest-coverage\|-fsanitize\|-fprofile-arcs\|-O0'; then
+ echo "Debugging compile, not collecting times!" >&2
+ out=/dev/null
+fi
+
+#for comp in {4..7}; do
+for comp in {5..5}; do
+ for n in {1..10}; do
+ times $comp $out
+ done
+done